diff options
| author | eroen | 2014-03-18 07:36:07 +0100 |
|---|---|---|
| committer | eroen | 2014-03-31 23:10:30 +0200 |
| commit | 6807ff5ef2eb505d021b7ed975fc3b486d4eb994 (patch) | |
| tree | 22d9c255c9426751a6dfc5c8d68ce29bd2cfce91 /www-apps | |
| parent | 3d4ca42f6e768bab88e013e19b205b4a109783c7 (diff) | |
| download | eroen-overlay-6807ff5ef2eb505d021b7ed975fc3b486d4eb994.tar.gz eroen-overlay-6807ff5ef2eb505d021b7ed975fc3b486d4eb994.tar.bz2 eroen-overlay-6807ff5ef2eb505d021b7ed975fc3b486d4eb994.tar.xz | |
nikola - test phase
WIP
Diffstat (limited to 'www-apps')
| -rw-r--r-- | www-apps/nikola/nikola-6.4.0.ebuild | 20 |
1 files changed, 20 insertions, 0 deletions
diff --git a/www-apps/nikola/nikola-6.4.0.ebuild b/www-apps/nikola/nikola-6.4.0.ebuild index 06defdd6..dda221fa 100644 --- a/www-apps/nikola/nikola-6.4.0.ebuild +++ b/www-apps/nikola/nikola-6.4.0.ebuild @@ -57,6 +57,7 @@ RDEPEND="app-arch/gzip # >=dev-python/mock-1.0.0 # dev-python/nose # dev-python/python-coveralls # not in gentoo +# dev-python/flake8 # pip? DOCS=( AUTHORS.txt CHANGES.txt CONTRIBUTING.rst README.rst ) @@ -74,6 +75,14 @@ optfeature() { done } +checkpythonlocale() { + ${PYTHON} <<-EOF + import locale + locale.setlocale(locale.LC_ALL, '${1}') + EOF + return $? +} + src_prepare() { # Redact non-public-domain parts # http://www.gutenberg.org/wiki/Gutenberg:The_Project_Gutenberg_License @@ -87,6 +96,17 @@ src_prepare() { grep -Ei 'gutenberg|license' nikola/data/samplesite/stories/a-study-in-scarlet.txt && die "Redaction failed." } +python_test() { + if ! checkpythonlocale en_US.utf8 || ! checkpythonlocale pl_PL.utf8 ; then + ewarn "Skipping tests due to locales en_US.utf8 and pl_PL.utf8 not usable by ${EPYTHON}." + return 0 + fi + nosetests \ + --with-coverage --cover-package=nikola \ + --with-doctest --doctest-options=+NORMALIZE_WHITESPACE \ + --logging-filter=-yapsy || die 'nosetests failed' +} + src_install() { distutils-r1_src_install |
